#!/usr/bin/env python
# -*- encoding: utf-8 -*-

import os
from ui.own.frame_theme import MyFrame
from ui.own.palette_theme import set_edt_bg
from utils.qt import QtWidgets, QtGui, QIcon, QPixmap, Qt, QColor
from utils.resource import resource_path
from utils.globalvar import SD


class CenterPage(QtWidgets.QWidget):

    def __init__(self, parent=None):
        super(CenterPage, self).__init__(parent)
        self.initUI()

    def initUI(self):
        self.verticalLayout = QtWidgets.QVBoxLayout(self)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setSpacing(0)

        # 设置参数
        self.center_widget = MyFrame(self)
        self.center_layout = QtWidgets.QVBoxLayout(self.center_widget)
        self.center_layout.setContentsMargins(0, 0, 0, 0)
        self.center_layout.setSpacing(0)
        self.center_groupbox = QtWidgets.QGroupBox(self.center_widget)
        self.center_groupbox.setTitle("告警信息" if SD.SYSTEM_LANGUAGE == 0 else "Warn")
        self.center_groupbox_layout = QtWidgets.QHBoxLayout(self.center_groupbox)

        self.center_qscrollarea = QtWidgets.QScrollArea(self.center_groupbox)
        self.center_qscrollarea.setWidgetResizable(True)
        self.center_groupbox_layout.addWidget(self.center_qscrollarea,9)

        self.center_qwidget = QtWidgets.QWidget()
        self.center_qscrollarea.setWidget(self.center_qwidget)

        self.center_qscrollarea_layout = QtWidgets.QGridLayout(self.center_qwidget)
        self.center_qscrollarea_layout.setObjectName("scrollLayout")
        self.center_qscrollarea_layout.setContentsMargins(0, 0, 0, 0)
        self.center_qscrollarea_layout.setSpacing(0)


        self.over_cell_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.over_cell_warn.setText("单体过压告警" if SD.SYSTEM_LANGUAGE == 0 else "Warn")
        self.over_cell_warn.setAlignment(Qt.AlignCenter)
        self.over_cell_warn.setReadOnly(True)
        set_edt_bg(self.over_cell_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.over_cell_warn, 0, 0, 1, 1)

        self.under_cell_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.under_cell_warn.setText("单体欠压告警")
        self.under_cell_warn.setAlignment(Qt.AlignCenter)
        self.under_cell_warn.setReadOnly(True)
        set_edt_bg(self.under_cell_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.under_cell_warn, 0, 1, 1, 1)

        self.hv_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.hv_warn.setText("总压过压告警")
        self.hv_warn.setAlignment(Qt.AlignCenter)
        self.hv_warn.setReadOnly(True)
        set_edt_bg(self.hv_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.hv_warn, 0, 2, 1, 1)

        self.lv_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.lv_warn.setText("总压欠压告警")
        self.lv_warn.setAlignment(Qt.AlignCenter)
        self.lv_warn.setReadOnly(True)
        set_edt_bg(self.lv_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.lv_warn, 0, 3, 1, 1)

        self.chg_lt_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.chg_lt_warn.setText("充电低温告警")
        self.chg_lt_warn.setAlignment(Qt.AlignCenter)
        self.chg_lt_warn.setReadOnly(True)
        set_edt_bg(self.chg_lt_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.chg_lt_warn, 0, 4, 1, 1)

        self.chg_ht_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.chg_ht_warn.setText("充电高温告警")
        self.chg_ht_warn.setAlignment(Qt.AlignCenter)
        self.chg_ht_warn.setReadOnly(True)
        set_edt_bg(self.chg_ht_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.chg_ht_warn, 0, 5, 1, 1)

        self.dchg_ht_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.dchg_ht_warn.setText("放电高温告警")
        self.dchg_ht_warn.setAlignment(Qt.AlignCenter)
        self.dchg_ht_warn.setReadOnly(True)
        set_edt_bg(self.dchg_ht_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.dchg_ht_warn, 0, 6, 1, 1)

        self.dchg_lt_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.dchg_lt_warn.setText("放电低温告警")
        self.dchg_lt_warn.setAlignment(Qt.AlignCenter)
        self.dchg_lt_warn.setReadOnly(True)
        set_edt_bg(self.dchg_lt_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.dchg_lt_warn, 0, 7, 1, 1)

        self.chg_hcur_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.chg_hcur_warn.setText("充电过流告警")
        self.chg_hcur_warn.setAlignment(Qt.AlignCenter)
        self.chg_hcur_warn.setReadOnly(True)
        set_edt_bg(self.chg_hcur_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.chg_hcur_warn, 0, 8, 1, 1)

        self.dchg_hcur_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.dchg_hcur_warn.setText("放电过流告警")
        self.dchg_hcur_warn.setAlignment(Qt.AlignCenter)
        self.dchg_hcur_warn.setReadOnly(True)
        set_edt_bg(self.dchg_hcur_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.dchg_hcur_warn, 0, 9, 1, 1)


        self.diff_cell_temp_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.diff_cell_temp_warn.setText("单体温差告警")
        self.diff_cell_temp_warn.setAlignment(Qt.AlignCenter)
        self.diff_cell_temp_warn.setReadOnly(True)
        set_edt_bg(self.diff_cell_temp_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.diff_cell_temp_warn, 1, 0, 1, 1)

        self.diff_cell_vol_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.diff_cell_vol_warn.setText("单体压差告警")
        self.diff_cell_vol_warn.setAlignment(Qt.AlignCenter)
        self.diff_cell_vol_warn.setReadOnly(True)
        set_edt_bg(self.diff_cell_vol_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.diff_cell_vol_warn, 1, 1, 1, 1)

        self.against_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.against_warn.setText("绝缘过低告警")
        self.against_warn.setAlignment(Qt.AlignCenter)
        self.against_warn.setReadOnly(True)
        set_edt_bg(self.against_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.against_warn, 1, 2, 1, 1)

        self.p_against_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.p_against_warn.setText("正极绝缘过低告警")
        self.p_against_warn.setAlignment(Qt.AlignCenter)
        self.p_against_warn.setReadOnly(True)
        set_edt_bg(self.p_against_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.p_against_warn, 1, 3, 1, 1)

        self.n_against_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.n_against_warn.setText("负极绝缘过低告警")
        self.n_against_warn.setAlignment(Qt.AlignCenter)
        self.n_against_warn.setReadOnly(True)
        set_edt_bg(self.n_against_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.n_against_warn, 1, 4, 1, 1)

        self.against_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.against_fault.setText("绝缘监测故障")
        self.against_fault.setAlignment(Qt.AlignCenter)
        self.against_fault.setReadOnly(True)
        set_edt_bg(self.against_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.against_fault, 1, 5, 1, 1)

        self.vol_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.vol_fault.setText("总压检测故障")
        self.vol_fault.setAlignment(Qt.AlignCenter)
        self.vol_fault.setReadOnly(True)
        set_edt_bg(self.vol_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.vol_fault, 1, 6, 1, 1)

        self.cur_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.cur_fault.setText("电流检测故障")
        self.cur_fault.setAlignment(Qt.AlignCenter)
        self.cur_fault.setReadOnly(True)
        set_edt_bg(self.cur_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.cur_fault, 1, 7, 1, 1)

        self.ccu_control_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ccu_control_fault.setText("总控通讯故障")
        self.ccu_control_fault.setAlignment(Qt.AlignCenter)
        self.ccu_control_fault.setReadOnly(True)
        set_edt_bg(self.ccu_control_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.ccu_control_fault, 1, 8, 1, 1)

        self.bmu_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.bmu_fault.setText("BMU通讯故障")
        self.bmu_fault.setAlignment(Qt.AlignCenter)
        self.bmu_fault.setReadOnly(True)
        set_edt_bg(self.bmu_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.bmu_fault, 1, 9, 1, 1)


        self.stop_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.stop_fault.setText("急停")
        self.stop_fault.setAlignment(Qt.AlignCenter)
        self.stop_fault.setReadOnly(True)
        set_edt_bg(self.stop_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.stop_fault, 2, 0, 1, 1)

        self.ntc_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ntc_fault.setText("NTC故障")
        self.ntc_fault.setAlignment(Qt.AlignCenter)
        self.ntc_fault.setReadOnly(True)
        set_edt_bg(self.ntc_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.ntc_fault, 2, 1, 1, 1)

        self.afe_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.afe_fault.setText("AFE失效")
        self.afe_fault.setAlignment(Qt.AlignCenter)
        self.afe_fault.setReadOnly(True)
        set_edt_bg(self.afe_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.afe_fault, 2, 2, 1, 1)

        self.p_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.p_fault.setText("主正接触器故障")
        self.p_fault.setAlignment(Qt.AlignCenter)
        self.p_fault.setReadOnly(True)
        set_edt_bg(self.p_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.p_fault, 2, 3, 1, 1)

        self.n_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.n_fault.setText("主负接触器故障")
        self.n_fault.setAlignment(Qt.AlignCenter)
        self.n_fault.setReadOnly(True)
        set_edt_bg(self.n_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.n_fault, 2, 4, 1, 1)

        self.pre_chg_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.pre_chg_fault.setText("预充故障")
        self.pre_chg_fault.setAlignment(Qt.AlignCenter)
        self.pre_chg_fault.setReadOnly(True)
        set_edt_bg(self.pre_chg_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.pre_chg_fault, 2, 5, 1, 1)

        self.center_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.center_fault.setText("中间接触器故障")
        self.center_fault.setAlignment(Qt.AlignCenter)
        self.center_fault.setReadOnly(True)
        set_edt_bg(self.center_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.center_fault, 2, 6, 1, 1)

        self.dlq_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.dlq_fault.setText("断路器反馈故障")
        self.dlq_fault.setAlignment(Qt.AlignCenter)
        self.dlq_fault.setReadOnly(True)
        set_edt_bg(self.dlq_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.dlq_fault, 2, 7, 1, 1)

        self.rdq_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.rdq_fault.setText("熔断器故障")
        self.rdq_fault.setAlignment(Qt.AlignCenter)
        self.rdq_fault.setReadOnly(True)
        set_edt_bg(self.rdq_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.rdq_fault, 2, 8, 1, 1)

        self.cell_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.cell_fault.setText("电芯故障")
        self.cell_fault.setAlignment(Qt.AlignCenter)
        self.cell_fault.setReadOnly(True)
        set_edt_bg(self.cell_fault, QColor(Qt.gray))

        self.mos_ht_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.mos_ht_warn.setText("MOS温度过高告警")
        self.mos_ht_warn.setAlignment(Qt.AlignCenter)
        self.mos_ht_warn.setReadOnly(True)
        set_edt_bg(self.mos_ht_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.mos_ht_warn, 3, 0, 1, 1)

        self.jz_ht_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.jz_ht_warn.setText("极柱温度过高告警")
        self.jz_ht_warn.setAlignment(Qt.AlignCenter)
        self.jz_ht_warn.setReadOnly(True)
        set_edt_bg(self.jz_ht_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.jz_ht_warn, 3, 1, 1, 1)

        self.ccu_ht_warn = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ccu_ht_warn.setText("主控检测温度过高")
        self.ccu_ht_warn.setAlignment(Qt.AlignCenter)
        self.ccu_ht_warn.setReadOnly(True)
        set_edt_bg(self.ccu_ht_warn, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.ccu_ht_warn, 3, 2, 1, 1)

        self.fan_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.fan_fault.setText("风扇控制失效")
        self.fan_fault.setAlignment(Qt.AlignCenter)
        self.fan_fault.setReadOnly(True)
        set_edt_bg(self.fan_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.fan_fault, 3, 3, 1, 1)

        self.temp_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.temp_fault.setText("热失控故障")
        self.temp_fault.setAlignment(Qt.AlignCenter)
        self.temp_fault.setReadOnly(True)
        set_edt_bg(self.temp_fault, QColor(Qt.gray))

        self.temp_up_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.temp_up_fault.setText("温升过高故障")
        self.temp_up_fault.setAlignment(Qt.AlignCenter)
        self.temp_up_fault.setReadOnly(True)
        set_edt_bg(self.temp_up_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.temp_up_fault, 3, 5, 1, 1)

        self.cell_single_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.cell_single_fault.setText("单体断线故障")
        self.cell_single_fault.setAlignment(Qt.AlignCenter)
        self.cell_single_fault.setReadOnly(True)
        set_edt_bg(self.cell_single_fault, QColor(Qt.gray))

        self.ccu_hard_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ccu_hard_fault.setText("主控硬件故障")
        self.ccu_hard_fault.setAlignment(Qt.AlignCenter)
        self.ccu_hard_fault.setReadOnly(True)
        set_edt_bg(self.ccu_hard_fault, QColor(Qt.gray))

        self.ccu_start_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ccu_start_fault.setText("主控初始化故障")
        self.ccu_start_fault.setAlignment(Qt.AlignCenter)
        self.ccu_start_fault.setReadOnly(True)
        set_edt_bg(self.ccu_start_fault, QColor(Qt.gray))

        self.eeprom_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.eeprom_fault.setText("EEPROM故障")
        self.eeprom_fault.setAlignment(Qt.AlignCenter)
        self.eeprom_fault.setReadOnly(True)
        set_edt_bg(self.eeprom_fault, QColor(Qt.gray))

        self.soc_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.soc_fault.setText("SOC过低故障")
        self.soc_fault.setAlignment(Qt.AlignCenter)
        self.soc_fault.setReadOnly(True)
        set_edt_bg(self.soc_fault, QColor(Qt.gray))

        self.ccu_diff_vol_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.ccu_diff_vol_fault.setText("簇间压差故障")
        self.ccu_diff_vol_fault.setAlignment(Qt.AlignCenter)
        self.ccu_diff_vol_fault.setReadOnly(True)
        set_edt_bg(self.ccu_diff_vol_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.ccu_diff_vol_fault, 4, 1, 1, 1)

        self.pcs_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.pcs_fault.setText("PCS通讯故障")
        self.pcs_fault.setAlignment(Qt.AlignCenter)
        self.pcs_fault.setReadOnly(True)
        set_edt_bg(self.pcs_fault, QColor(Qt.gray))

        self.jump_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.jump_fault.setText("跳机故障")
        self.jump_fault.setAlignment(Qt.AlignCenter)
        self.jump_fault.setReadOnly(True)
        set_edt_bg(self.jump_fault, QColor(Qt.gray))
        self.center_qscrollarea_layout.addWidget(self.jump_fault, 4, 3, 1, 1)

        self.chg_mos_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.chg_mos_fault.setText("充电MOS故障")
        self.chg_mos_fault.setAlignment(Qt.AlignCenter)
        self.chg_mos_fault.setReadOnly(True)
        set_edt_bg(self.chg_mos_fault, QColor(Qt.gray))

        self.dchg_mos_fault = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.dchg_mos_fault.setText("放电MOS故障")
        self.dchg_mos_fault.setAlignment(Qt.AlignCenter)
        self.dchg_mos_fault.setReadOnly(True)
        set_edt_bg(self.dchg_mos_fault, QColor(Qt.gray))

        if SD.CCU_TYPE == 1:
            self.chg_mos_fault.setHidden(True)
            self.dchg_mos_fault.setHidden(True)
            self.center_qscrollarea_layout.addWidget(self.cell_fault, 2, 9, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.temp_fault, 3, 4, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.temp_up_fault, 3, 5, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.cell_single_fault, 3, 6, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.ccu_hard_fault, 3, 7, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.ccu_start_fault, 3, 8, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.eeprom_fault, 3, 9, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.soc_fault, 4, 0, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.pcs_fault, 4, 2, 1, 1)
        else:
            self.jump_fault.setHidden(True)
            self.ccu_diff_vol_fault.setHidden(True)
            self.center_qscrollarea_layout.addWidget(self.mos_ht_warn, 1, 8, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.temp_up_fault, 1, 9, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.pre_chg_fault, 2, 3, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.chg_mos_fault, 2, 4, 1, 1) 
            self.center_qscrollarea_layout.addWidget(self.dchg_mos_fault, 2, 5, 1, 1)  
            self.center_qscrollarea_layout.addWidget(self.temp_fault, 2, 6, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.cell_single_fault, 2, 7, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.ccu_hard_fault, 2, 8, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.ccu_start_fault, 2, 9, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.eeprom_fault, 3, 0, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.cell_fault, 3, 1, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.soc_fault, 3, 2, 1, 1)
            self.center_qscrollarea_layout.addWidget(self.pcs_fault, 3, 3, 1, 1)


        self.center_right_widget = QtWidgets.QWidget(self.center_groupbox)
        self.center_right_layout = QtWidgets.QGridLayout(self.center_right_widget)

        self.normal = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.normal.setAlignment(Qt.AlignCenter)
        self.normal.setReadOnly(True)
        set_edt_bg(self.normal, QColor(Qt.gray))
        self.center_right_layout.addWidget(self.normal, 0, 0, 1, 1)
        self.lb_normal = QtWidgets.QLabel(self.center_qscrollarea)
        self.lb_normal.setAlignment(Qt.AlignCenter)
        self.lb_normal.setText("正常")
        self.center_right_layout.addWidget(self.lb_normal, 0, 1, 1, 1)

        self.third = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.third.setAlignment(Qt.AlignCenter)
        self.third.setReadOnly(True)
        set_edt_bg(self.third, QColor(Qt.yellow))
        self.center_right_layout.addWidget(self.third, 1, 0, 1, 1)
        self.lb_third = QtWidgets.QLabel(self.center_qscrollarea)
        self.lb_third.setAlignment(Qt.AlignCenter)
        self.lb_third.setText("三级告警")
        self.center_right_layout.addWidget(self.lb_third, 1, 1, 1, 1)

        self.second = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.second.setAlignment(Qt.AlignCenter)
        self.second.setReadOnly(True)
        set_edt_bg(self.second, QColor(Qt.magenta))
        self.center_right_layout.addWidget(self.second, 2, 0, 1, 1)
        self.lb_second = QtWidgets.QLabel(self.center_qscrollarea)
        self.lb_second.setAlignment(Qt.AlignCenter)
        self.lb_second.setText("二级告警")
        self.center_right_layout.addWidget(self.lb_second, 2, 1, 1, 1)

        self.first = QtWidgets.QLineEdit(self.center_qscrollarea)
        self.first.setAlignment(Qt.AlignCenter)
        self.first.setReadOnly(True)
        set_edt_bg(self.first, QColor(Qt.red))
        self.center_right_layout.addWidget(self.first, 3, 0, 1, 1)
        self.lb_first = QtWidgets.QLabel(self.center_qscrollarea)
        self.lb_first.setAlignment(Qt.AlignCenter)
        self.lb_first.setText("一级告警/故障")
        self.center_right_layout.addWidget(self.lb_first, 3, 1, 1, 1)

        self.center_groupbox_layout.addWidget(self.center_right_widget, 1)

        self.center_layout.addWidget(self.center_groupbox)
        self.verticalLayout.addWidget(self.center_widget)
